# Flow zones structure 

Below is the graph of the project's flow zones :

![flow_zones.png](G5WSbsE8brjb)

Each flow zone is linked to a specific component of your project . 
- The *inputs_zone* has the role to ingest your input datasources ([Learn more about the inputs_zone](article:21)).
- The *preprocessing_zone* prepares your data so that it can be processed in the other zones ([Learn more about the preprocessing_zone](article:23)).
  - The *Default* zone keeps all the project elements that are not consistent regarding your input datasources characteristics ([Learn more about the Default zone](article:29)).
- The *isochrones_zone* computes your locations isochrones and showcases the competition between them ([Learn more about the isochrones_zone](article:24)).
- The *customers_zone* computes the customers contained in your distribution network locations isochrones and counts, for each distribution network location, the  number of customers included in each irochrone type ([Learn more about the customers_zone](article:26)).
- The *webapp_zone* isolates the datasets that are used for the project's webapp ([Learn more about the project's webapp](article:15)) .

Each of the main flow-zones has a dedicated section in the project's dataiku application ([See the "Dataiku application" section](article:27))